﻿namespace U2UConsult.WinRT.HubItemsControl
{
    using System.Collections.Generic;

    public class MainPageViewModel
    {
        private List<IkeaManual> manuals = new List<IkeaManual>();

        /// <summary>
        /// Initializes a new instance of the <see cref="MainPageViewModel"/> class.
        /// </summary>
        public MainPageViewModel()
        {
            this.manuals.Add(new IkeaManual() { Name = "LITSABBUR", ImagePath = @"Assets/Images/ikea-manuals-1.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "TJARDIIS", ImagePath = @"Assets/Images/ikea-manuals-2.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "DINDASÜR", ImagePath = @"Assets/Images/ikea-manuals-3.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "DJILORIANN", ImagePath = @"Assets/Images/ikea-manuals-4.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "BÄBBY", ImagePath = @"Assets/Images/ikea-manuals-5.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "HÖUSS", ImagePath = @"Assets/Images/ikea-manuals-6.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "HÄDRÖNN", ImagePath = @"Assets/Images/ikea-manuals-7.jpg" });
            this.manuals.Add(new IkeaManual() { Name = "MËTH", ImagePath = @"Assets/Images/ikea-manuals-8.jpg" });
        }

        /// <summary>
        /// Gets the manuals.
        /// </summary>
        public List<IkeaManual> Manuals
        {
            get { return this.manuals; }
        }
    }
}
